Endpoints

Download a video

Download a completed video as an MP4 file.

GET/v1/videos/{task_id}/content

Send your API key in the Authorization: Bearer YOUR_BEEFAPI_KEY header. Get an API key →

Request example

Use your key. Replace sample task IDs and image URLs.

curl -X GET "https://global.beefapi.com/v1/videos/video_example/content" \  -H "Authorization: Bearer YOUR_BEEFAPI_KEY"

Response examples

Illustrative values. Select a status code.

Video bytes.

MP4 file
Save the response as a video file.

Path parameters

ParameterDescription
task_idstringRequired
Response fields & status codes

Response fields

video/mp4

application/json

application/json

application/json

application/json

application/json